# FdoMySQLOvPhysicalSchemaMapping Class Reference

`#include <MySqlOvPhysicalSchemaMapping.h>`

Inheritance diagram for FdoMySQLOvPhysicalSchemaMapping:

[legend]

List of all members.

## Detailed Description

Concrete class offering schema overrides for the MySQL Provider.

Definition at line 28 of file MySqlOvPhysicalSchemaMapping.h.

## Public Member Functions
FDOMYSQL_OV_API FdoMySQLOvClassCollection * | GetClasses ()
| Gets the classes.
FDOMYSQL_OV_API FdoString * | GetDatabase ()
| Gets the database.
FDOMYSQL_OV_API FdoString * | GetDataDirectory ()
| Gets the directory where table data is stored.
FDOMYSQL_OV_API FdoString * | GetIndexDirectory ()
| Gets the directory where indexes are stored.
virtual FDOMYSQL_OV_API FdoString * | GetProvider (void)
| Gets the provider name.
FDOMYSQL_OV_API MySQLOvStorageEngineType | GetStorageEngine ()
| Gets the storage engine type.
FDOMYSQL_OV_API void | SetDatabase (FdoString *database)
| Sets the database.
FDOMYSQL_OV_API void | SetDataDirectory (FdoString *dataDirectory)
| Sets the directory where table data is stored.
FDOMYSQL_OV_API void | SetIndexDirectory (FdoString *indexDirectory)
| Sets the directory where indexes are stored.
FDOMYSQL_OV_API void | SetStorageEngine (MySQLOvStorageEngineType storageEngine)
| Sets the storage engine type.
## Static Public Member Functions
static FDOMYSQL_OV_API FdoMySQLOvPhysicalSchemaMapping * | Create (FdoString *name)
| Constructs an instance of an FdoMySQLOvPhysicalSchemaMapping using the specified arguments.
static FDOMYSQL_OV_API FdoMySQLOvPhysicalSchemaMapping * | Create ()
| Constructs a default of an FdoMySQLOvPhysicalSchemaMapping.
## Protected Member Functions
virtual void | AddClass (FdoRdbmsOvClassDefinition *pClass)
| Add the given class override to this schema override set.
virtual FdoRdbmsOvClassDefinition * | CreateClass (FdoXmlSaxContext *context, FdoXmlAttributeCollection *atts)
| Create a class override from XML attributes.
virtual void | Dispose ()
| FdoMySQLOvPhysicalSchemaMapping (FdoString *name)
| FdoMySQLOvPhysicalSchemaMapping ()
void | Init ()
| common initializer for all constructors:
virtual | ~FdoMySQLOvPhysicalSchemaMapping ()

The documentation for this class was generated from the following file:

- MySqlOvPhysicalSchemaMapping.h